# CreateInvoice

Create sales invoices or purchase bills. Learn more about Xero sales invoices at the [Xero Business Help Centre](https://help.xero.com/int/Invoices-Sales). Learn more about Xero purchase bills at the [Xero Business Help Centre](https://help.xero.com/int/Payments_Bills).

## Properties

#### Authentication

Authentication values used to connect to the Xero server.

#### Invoice

Invoice to create.

Mandatory Items:

* **Type**: See [Invoice Types](https://developer.xero.com/documentation/api/types#InvoiceTypes).
* **Contact**: See [Contacts](https://developer.xero.com/documentation/api/contacts).
* **LineItems**: See [LineItems](https://developer.xero.com/documentation/api/invoices#LineItemsPOST). The LineItems collection can contain any number of individual LineItem sub-elements. At least one is required to create a complete Invoice.

## Output

#### Invoice

#### The invoice created.

## Links

[Xero Developer: Invoices (PUT)](https://developer.xero.com/documentation/api/invoices#put)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/xero/content/invoices/createinvoice.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
